Imports System
Imports System.CodeDom
Imports System.Web.Compilation
Imports System.Web.UI

<ExpressionPrefix("MyCustomExpression")> _
<ExpressionEditor("MyCustomExpressionEditor")> _
Public Class MyCustomExpression
    Inherits ExpressionBuilder

    Public Overrides Function _
        GetCodeExpression(ByVal entry As BoundPropertyEntry, _
        ByVal parsedData As Object, ByVal context As ExpressionBuilderContext) _
            As System.CodeDom.CodeExpression

        Return New CodeCastExpression("Int64", New CodePrimitiveExpression(1000))
    End Function
End Class
